### Interface

# Goa MediaServer

deprecated: Unknown since: 3.14

#### Description [src]

    interface Goa.MediaServer : GObject.Object

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

Available since: 3.14

Deprecated since: Unknown

The D-Bus interface has been deprecated.

#### Prerequisite

In order to implement MediaServer, your type must inherit from`GObject`.

#### Implementations

- GoaMediaServerProxy
- GoaMediaServerSkeleton

#### Functions

###### goa_media_server_interface_info

Gets a machine-readable description of the org.gnome.OnlineAccounts.MediaServer D-Bus interface.

deprecated: Unknown since: 3.14

###### goa_media_server_override_properties

Overrides all `GObject` properties in the `GoaMediaServer` interface for a concrete class. The properties are overridden in the order they are defined.

deprecated: Unknown since: 3.14

#### Instance methods

###### goa_media_server_dup_udn

Gets a copy of the “Udn” D-Bus property.

deprecated: Unknown since: 3.14

###### goa_media_server_get_dlna_supported

Gets the value of the “DlnaSupported” D-Bus property.

deprecated: Unknown since: 3.14

###### goa_media_server_get_udn

Gets the value of the “Udn” D-Bus property.

deprecated: Unknown since: 3.14

###### goa_media_server_set_dlna_supported

Sets the “DlnaSupported” D-Bus property to `value`.

deprecated: Unknown since: 3.14

###### goa_media_server_set_udn

Sets the “Udn” D-Bus property to `value`.

deprecated: Unknown since: 3.14

#### Properties

###### Goa.MediaServer:dlna-supported

Represents the D-Bus property “DlnaSupported”.

deprecated: Unknown since: 3.14

###### Goa.MediaServer:udn

Represents the D-Bus property “Udn”.

deprecated: Unknown since: 3.14

#### Interface structure

    struct GoaMediaServerIface {
      GTypeInterface parent_iface;
      gboolean (* get_dlna_supported) (
        GoaMediaServer* object
      );
      const gchar* (* get_udn) (
        GoaMediaServer* object
      );

    }

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.

`get_dlna_supported`

    gboolean (* get_dlna_supported) (
        GoaMediaServer* object
      )

| Getter for the `GoaMediaServer:dlna-supported` property.

`get_udn`

    const gchar* (* get_udn) (
        GoaMediaServer* object
      )

| Getter for the `GoaMediaServer:udn` property.

#### Virtual methods

###### Goa.MediaServer.get_dlna_supported

Gets the value of the “DlnaSupported” D-Bus property.

deprecated: Unknown since: 3.14

###### Goa.MediaServer.get_udn

Gets the value of the “Udn” D-Bus property.

deprecated: Unknown since: 3.14